#ifndef DATA_LOADER_H
#define DATA_LOADER_H

class QString;
class QDate;
class QIODevice;

class KUrl;

class MyMoneyAccount;
class MyMoneyMoney;
class MyMoneySecurity;


class DataLoader {
public:
  static void loadFile(const KUrl & url);
  static void loadDB(const KUrl & url);

private:
  //remove when loading file is handled by KMM internal instead of mqin view
  static void checkAccountName(const MyMoneyAccount& _acc, const QString& name);
  static void loadDefaultCurrency(const MyMoneySecurity& currency, const bool create);
  static void loadDefaultCurrencies();
  static void loadAncientCurrency(const QString& id, const QString& name, const QString& sym, const QDate& date, const MyMoneyMoney& rate, const QString& newId, const int partsPerUnit = 100, const int smallestCashFraction = 100, const int smallestAccountFraction = 0);
  static void loadAncientCurrencies();
  static void ungetString(QIODevice *qfile, char *buf, int len);

};


#endif
